"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoggerMock = void 0;
const log_level_1 = require("./log-level");
class LoggerMock {
    LogLevel;
    constructor(logLevel = log_level_1.LogLevel.Information) {
        this.LogLevel = logLevel;
    }
    Debug(message) {
        this.Log(message);
    }
    Error(message) {
        this.Log(message);
    }
    Information(message) {
        this.Log(message);
    }
    Trace(message) {
        this.Log(message);
    }
    Warning(message) {
        this.Log(message);
    }
    Log(message) {
        return message;
    }
}
exports.LoggerMock = LoggerMock;
//# sourceMappingURL=mock.js.map